MorphOS 1.4.5 ISO for Peg1/Peg2
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    Cego
    Posts: 619 from 2006/5/28
    From: Germany
    Is there a possibility to still download MorphOS 1.4.5 ISO for Peg1/2?

    I could only find the PowerUP version for classics and the 1.4.2 ISO for Pegs.

    Thank you
    Powerbook G4@1,67GHz, 2GB DDR2 Ram, Radeon 9700, 60GB SSD, MorphOS 3.7
    PowerMac Dual G5 @2.3GHz, 4GB DDR Ram, Radeon 9600XT, 2x250GB HD, MorphOS 3.7, MacOS X Leopard 10.5.8
  • »02.02.20 - 16:21
    Profile
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    Cego
    Posts: 619 from 2006/5/28
    From: Germany
    MorphOS 1.4.5 is more lightweight and compatible regarding Warp3D/legacy Apps :)

    Thanks for the link. Will try it!
    Powerbook G4@1,67GHz, 2GB DDR2 Ram, Radeon 9700, 60GB SSD, MorphOS 3.7
    PowerMac Dual G5 @2.3GHz, 4GB DDR Ram, Radeon 9600XT, 2x250GB HD, MorphOS 3.7, MacOS X Leopard 10.5.8
  • »02.02.20 - 16:39
    Profile
  • Order of the Butterfly
    Order of the Butterfly
    Chain-Q
    Posts: 338 from 2003/10/12
    From: 1 AU, EU, DE/HU
    I'm quite certain a recent MorphOS can be made equally lightweight, if not more than an 1.4.5 installation. In some things, the current version will actually outperform the 1.4.5 by a quite decent margin (say, current version has an O(1) memory allocator instead of a simple linked list, which caused real performance hits with longer uptime, the new ones are also quite a bit faster in context switches and other areas, and better at utilizing some hardware features - AltiVec, anyone? Ok that doesn't count on a Peg1, sure).

    Given the fact that for example many Trance and 68k emulation issues have been also fixed in the past few years, I kinda also question that "more compatible with legacy apps" statement. Same about Warp3D compatibility, where the library is largely identical to the old version anyway (minus the usual set of bugfixes, also incl. WarpOS emulation fixes).

    But about compatibility, care to report issues maybe? What used to work, and which doesn't any more? I'm especially curious about the W3D part of the statement, as I'm looking into that area a bit recently.
    [.PegasosII/G4.:.Efika.:.Amiga2000/060.]
    [.Free Pascal Compiler MorphOS Port.]
    [.Hosting AmigaSpirit.hu.]
  • »03.02.20 - 14:37
    Profile Visit Website
  • MorphOS Developer
    jacadcaps
    Posts: 1943 from 2003/3/5
    From: Canada
    Quote:

    Cego wrote:
    MorphOS 1.4.5 is more lightweight and compatible regarding Warp3D/legacy Apps :)



    No idea what's your basis for such a statement. Got some benchmarks?
  • »03.02.20 - 14:45
    Profile Visit Website
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    Cego
    Posts: 619 from 2006/5/28
    From: Germany
    AFAIR Shogo wont run on MorphOS >2.x. On 1.4.5 it runs without any issues.
    I'll try it on 3.12 and 1.4.5 as soon as i got my Peg1 system up and running and let you know.
    Powerbook G4@1,67GHz, 2GB DDR2 Ram, Radeon 9700, 60GB SSD, MorphOS 3.7
    PowerMac Dual G5 @2.3GHz, 4GB DDR Ram, Radeon 9600XT, 2x250GB HD, MorphOS 3.7, MacOS X Leopard 10.5.8
  • »03.02.20 - 17:16
    Profile
  • Paladin of the Pegasos
    Paladin of the Pegasos
    Zylesea
    Posts: 1944 from 2003/6/4
    ProStationAudio has issues on current MorphOS where it hasn't on 1.4,.5
    --
    http://www.via-altera.de

    Whenever you're sad just remember the world is 4.543 billion years old and you somehow managed to exist at the same time as David Bowie.
    ...and Matthias , my friend - RIP
  • »03.02.20 - 17:28
    Profile Visit Website
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 10840 from 2003/5/22
    From: Germany
    > AFAIR Shogo wont run on MorphOS >2.x.

    It will run on MorphOS >1.x, but without sound. 2.x and 3.x are no different in this regard, AFAIK.
  • »03.02.20 - 19:37
    Profile
  • Order of the Butterfly
    Order of the Butterfly
    Divinity
    Posts: 480 from 2009/9/8
    Are you sure there is sound problems (no audio) with Shogo game, using Pegasos II with MorphOS 1.4.5 and its last updates ?

    I have read in other website that It's ok with MorphOS 1.4.5

    Have you tried it Cego ?
  • »16.02.20 - 21:33
    Profile
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    Cego
    Posts: 619 from 2006/5/28
    From: Germany
    It runs with sound on 1.4.5, but only when you disable movies in the launcher.
    Powerbook G4@1,67GHz, 2GB DDR2 Ram, Radeon 9700, 60GB SSD, MorphOS 3.7
    PowerMac Dual G5 @2.3GHz, 4GB DDR Ram, Radeon 9600XT, 2x250GB HD, MorphOS 3.7, MacOS X Leopard 10.5.8
  • »16.02.20 - 22:43
    Profile
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 10840 from 2003/5/22
    From: Germany
    >> It will run on MorphOS >1.x, but without sound.

    > Are you sure there is sound problems (no audio) with Shogo game,
    > using Pegasos II with MorphOS 1.4.5 and its last updates ?

    1.4.5 is not >1.x, but 2.0 and later are.
  • »16.02.20 - 23:34
    Profile
  • Order of the Butterfly
    Order of the Butterfly
    Divinity
    Posts: 480 from 2009/9/8
    Quote:

    Cego wrote:
    It runs with sound on 1.4.5, but only when you disable movies in the launcher.


    ok thanks, so is It not possibile to see movies in the game ?

    do you know if there is a hack software to play correctly Shogo also in MOS 3.x ?

    regards
  • »17.02.20 - 00:20
    Profile
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    Cego
    Posts: 619 from 2006/5/28
    From: Germany
    No I haven’t tried any hacks on 3.x
    You can watch movies but you‘ll have no sound
    Ingame then.
    Powerbook G4@1,67GHz, 2GB DDR2 Ram, Radeon 9700, 60GB SSD, MorphOS 3.7
    PowerMac Dual G5 @2.3GHz, 4GB DDR Ram, Radeon 9600XT, 2x250GB HD, MorphOS 3.7, MacOS X Leopard 10.5.8
  • »17.02.20 - 09:24
    Profile
  • Order of the Butterfly
    Order of the Butterfly
    Divinity
    Posts: 480 from 2009/9/8
    Quote:

    Cego wrote:
    No I haven’t tried any hacks on 3.x
    You can watch movies but you‘ll have no sound
    Ingame then.


    thanks Cego
    I have seen there a new Shogo version 1.9 in July 2019 of Hyperion https://www.hyperion-entertainment.com (native port SW+MiniGL)
    that works correctly with OS4.1fe in AOne https://www.youtube.com/watch?v=taU-cUkPw4w&feature=emb_logo

    reqs are:
    Amiga with 500MHz PowerPC CPU
    A Picasso96-Compatible Graphics card (For Warp3D version: A Warp3D supported graphics card)
    256 MB of memory
    AHI-Compatible sound card
    Approximately 500 MB of free hard disk space
    AmigaOS 4.1 Final Edition

    does anyone know if this new version works correctly in MorphOS 3.x ?

    [ Edited by Divinity 17.02.2020 - 11:03 ]
  • »17.02.20 - 11:52
    Profile
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    Cego
    Posts: 619 from 2006/5/28
    From: Germany
    OS4.1 software won't run on MorphOS, so the answer is no. You'll have to stick with the OS3.x version
    Powerbook G4@1,67GHz, 2GB DDR2 Ram, Radeon 9700, 60GB SSD, MorphOS 3.7
    PowerMac Dual G5 @2.3GHz, 4GB DDR Ram, Radeon 9600XT, 2x250GB HD, MorphOS 3.7, MacOS X Leopard 10.5.8
  • »17.02.20 - 13:47
    Profile
  • Order of the Butterfly
    Order of the Butterfly
    Divinity
    Posts: 480 from 2009/9/8
    ok, it is a pity that we cannot hear the audio in MorphOS 3.x, also because the game and the animations work very well and the game is very nice

    I see three possibilities:

    .1 someone who develops AHI in MoprhOS finds a way to make it compatible, so that we can use the game in MorphOS 3.x (this is the best solution), possibile guys of the MorphOS team ?

    .2 purchase the new 1.9 version of Shogo from Hyperion and use it in AOS41fe (it does not cost much money, € 15.00)

    .3 installing MorphOS 1.4.5 (but in doing so we will not have the sound in the movies). Are there any other old 3d amiga games that work better in MorphOS 1.4.5 than in MorphOS 3.x ?
  • »17.02.20 - 14:26
    Profile
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    Cego
    Posts: 619 from 2006/5/28
    From: Germany
    Quote:

    Divinity wrote:

    .1 someone who develops AHI in MoprhOS finds a way to make it compatible, so that we can use the game in MorphOS 3.x (this is the best solution), possibile guys of the MorphOS team ?



    I don't think that the MorphOS Team will put any effort to make legacy PPC Games (especially from Hyperion) work.
    They even dropped Warp3D support after the R300 drivers. Your best choice is to use MorphOS 1.4.5 on your Peg1/2

    Wazp3D was an alternative but never pasted the status of alpha stage.
    Powerbook G4@1,67GHz, 2GB DDR2 Ram, Radeon 9700, 60GB SSD, MorphOS 3.7
    PowerMac Dual G5 @2.3GHz, 4GB DDR Ram, Radeon 9600XT, 2x250GB HD, MorphOS 3.7, MacOS X Leopard 10.5.8
  • »17.02.20 - 14:29
    Profile
  • MorphOS Developer
    zukow
    Posts: 542 from 2005/2/9
    From: Poland
    Regarding 1.4.5 and 2.x/3.x, for checking the compatibility one can disable new memory system in boot args.
  • »17.02.20 - 14:38
    Profile Visit Website
  • Order of the Butterfly
    Order of the Butterfly
    Divinity
    Posts: 480 from 2009/9/8
    ok Cego

    Quote:

    zukow wrote:
    Regarding 1.4.5 and 2.x/3.x, for checking the compatibility one can disable new memory system in boot args.


    I could try, what are the arguments to add to the boot command ?
  • »17.02.20 - 14:59
    Profile
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 10840 from 2003/5/22
    From: Germany
    > MorphOS Team [...] dropped Warp3D support after the R300 drivers.

    To be fair, this was just a side effect of dropping Rave3D, which Goa wraps Warp3D to. And it happened starting with R300, so after R200.
  • »17.02.20 - 17:10
    Profile
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    Cego
    Posts: 619 from 2006/5/28
    From: Germany
    side effect of what? They just had to adapt Rave3D library to R300
    Powerbook G4@1,67GHz, 2GB DDR2 Ram, Radeon 9700, 60GB SSD, MorphOS 3.7
    PowerMac Dual G5 @2.3GHz, 4GB DDR Ram, Radeon 9600XT, 2x250GB HD, MorphOS 3.7, MacOS X Leopard 10.5.8
  • »17.02.20 - 17:18
    Profile
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 10840 from 2003/5/22
    From: Germany
    > what are the arguments to add to the boot command ?

    "SML=SafeMemLists/S - Use old MorphOS 1.x-style memory system with extra safety checks. This could be useful for debugging some buggy applications for example. SML is much slower than the new MorphOS 2 memory system however."
    https://www.morphos-team.net/installation
  • »17.02.20 - 17:18
    Profile
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 10840 from 2003/5/22
    From: Germany
    >>> MorphOS Team [...] dropped Warp3D support after the R300 drivers.

    >> To be fair, this was just a side effect of dropping Rave3D

    > side effect of what?

    Side effect of dropping Rave3D, as I wrote.

    > They just had to adapt Rave3D library to R300

    Unfortunately, this never happened. Rave3D was never adapted to anything newer than R200.
  • »17.02.20 - 17:22
    Profile
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    Cego
    Posts: 619 from 2006/5/28
    From: Germany
    So dropping warp3d support was the side effect of dropping rave3d?
    thats basically the same...

    MorphOS Team decided against Warp3D compatibility for R300 and beyond. There is no side effect of anything. They just straight ignored to implement it into the rave3d lib.
    Powerbook G4@1,67GHz, 2GB DDR2 Ram, Radeon 9700, 60GB SSD, MorphOS 3.7
    PowerMac Dual G5 @2.3GHz, 4GB DDR Ram, Radeon 9600XT, 2x250GB HD, MorphOS 3.7, MacOS X Leopard 10.5.8
  • »17.02.20 - 17:27
    Profile
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 10840 from 2003/5/22
    From: Germany
    > So dropping warp3d support was the side effect of dropping rave3d?

    Exactly.

    > thats basically the same...

    I don't think so. One was the intended effect, the other was the unintended side effect.

    > MorphOS Team decided against Warp3D compatibility for R300 and beyond.

    They decided against Rave3D compatibility for R300 and beyond.

    > There is no side effect of anything.

    I don't think so.

    > They just straight ignored to implement it into the rave3d lib.

    They "ignored" to implement support for R300 and beyond into Rave3D, for good reasons. MorphOS 3.13 still has Warp3D support for R200 wrapped to Rave3D via Goa.
  • »17.02.20 - 17:42
    Profile